Blum.Web/Models/BaseViewModel.cs
namespace Blum.Web.Models
{
    public class BaseViewModel
    {
        public int Id { get; set; }
    }
}

Blum.Web/Models/CadastroViewModel.cs
using Blum.Access.Entities.Enum;
using System;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Blum.Web.Models
{
    public class CadastroViewModel : BaseViewModel
    {
        [Required, StringLength(255), DisplayName("Nome")]
        public string Nome { get; set; }

        [Required, StringLength(255), DisplayName("E-mail")]
        public string Email { get; set; }

        [Required, StringLength(15), DisplayName("CPF")]
        public string CPF { get; set; }

        [DisplayName("Sexo")]
        public Sexo Sexo { get; set; }

        [DisplayName("Estado Civil")]
        public EstadoCivil? EstadoCivil { get; set; }

        [Required, DisplayName("Data de Nascimento")]
        public DateTime DataNascimento { get; set; }
        public DateTime DataInclusao { get; set; }
    }
}

Blum.Web/Models/ConsultaViewModel.cs
using Blum.Access.Entities;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace Blum.Web.Models
{
    public class ConsultaViewModel : BaseViewModel
    {
        [Required, StringLength(255), DisplayName("Buscar")]
        public string Buscar { get; set; }

        public List<Produtos> Produtos { get; set; }
    }
}

Blum.Web/Models/ErrorViewModel.cs
using System;

namespace Blum.Web.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

Blum.Web/Models/UsersLoginViewModel.cs
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace Blum.Web.Models
{
    public class UsersLoginViewModel : BaseViewModel
    {
        [Required, StringLength(8), DisplayName("Senha")]
        public string Senha { get; set; }

        [Required, StringLength(8), DisplayName("Confirmar Senha")]
        public string ConfirmarSenha { get; set; }

        [Required, StringLength(255), DisplayName("E-mail")]
        public string Email { get; set; }

        [Required, StringLength(255), DisplayName("Confirmar E-mail")]
        public string ConfirmarEmail { get; set; }
    }
}

Blum.Web/Controllers/Base/BaseController.cs
using Blum.Web.Alerts;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Blum.Web.Controllers.Base
{
    public class BaseController : Controller
    {
        public void Success(string message, bool dismissable = false)
        {
            AddAlert(AlertStyles.Success, message, dismissable);
        }

        public void Information(string message, bool dismissable = false)
        {
            AddAlert(AlertStyles.Information, message, dismissable);
        }

        public void Warning(string message, bool dismissable = false)
        {
            AddAlert(AlertStyles.Warning, message, dismissable);
        }

        public void Danger(string message, bool dismissable = false)
        {
            AddAlert(AlertStyles.Danger, message, dismissable);
        }

        private void AddAlert(string alertStyle, string message, bool dismissable)
        {
            var alerts = TempData.ContainsKey(Alert.TempDataKey)
                ? (List<Alert>)TempData[Alert.TempDataKey]
                : new List<Alert>();

            alerts.Add(new Alert
            {
                AlertStyle = alertStyle,
                Message = message,
                Dismissable = dismissable
            });

            TempData[Alert.TempDataKey] = alerts;
        }
    }
}

Blum.Web/Controllers/CadastroController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;

namespace Blum.Web.Controllers
{
    public class CadastroController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Cadastrar()
        {
            return View();
        }

        public ActionResult Salvar()
        {
            return View();
        }
    }
}

Blum.Web/Controllers/ConsultaController.cs
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Threading.Tasks;
using Blum.Access;
using Blum.Web.Models;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace Blum.Web.Controllers
{
    public class ConsultaController : Controller
    {
        // GET: Consulta
        public ActionResult Index()
        {
            return View();
        }

        // GET: Consulta/Details/5
        public ActionResult Details(int id)
        {
            return View();
        }

        public async Task<IActionResult> Produtos(ConsultaViewModel model)
        {
            if (model.Buscar != null)
            {
                using (var context = new BlumConnection())
                {
                    var produtos = await context.Produtos.Include("Mercados").Where(p => p.Nome.Contains(model.Buscar)).ToListAsync();

                    model.Produtos = produtos;
                }
            }

            return View(model);
        }
    }
}

Blum.Web/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using Blum.Web.Models;

namespace Blum.Web.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

Blum.Web/Controllers/UsersLoginController.cs
using Blum.Business.Services;
using Blum.Business.Services.Interfaces;
using Blum.Web.Controllers.Base;
using Blum.Web.Models;
using Microsoft.AspNetCore.Mvc;

namespace Blum.Web.Controllers
{
    public class UsersLoginController : BaseController
    {
        private readonly IUsersLogin _usersLoginService;

        public UsersLoginController(IUsersLogin usersLoginService)
        {
            _usersLoginService = usersLoginService;
        }

        [HttpGet]
        public ActionResult Index()
        {
            return View();
        }

        [HttpGet]
        public IActionResult Registrar()
        {
            return View();
        }

        [HttpPost]
        public IActionResult Registrar(UsersLoginViewModel model)
        {
            UsersLogin usersLogin = new UsersLogin();
            usersLogin.Clone(model);

            //_usersLoginService.Gravar(usersLogin);
            this.Success("OK");
            return View();
        }
    }
}

Blum.Web/Views/Cadastro/Cadastrar.cshtml
@{
    ViewBag.Title = "Cadastro";
}

@using  Blum.Access.Entities.Enum
@using  Blum.Web.Models

<h1>Cadastro</h1>
<form method="get" asp-controller="Cadastro" asp-action="Cadastrar">
    @Html.AntiForgeryToken()

    @Html.CreateModel(new CadastroViewModel())
    @Html.Edit("Nome")
    @Html.Edit("Email")

    @Html.Linha()
    @Html.EditCPF("CPF")
    @Html.Date("DataNascimento")
    @Html.FimLinha()

    @Html.Linha()
    @Html.EnumEdit("Sexo", Html.GetEnumSelectList<Sexo>())
    @Html.EnumEdit("EstadoCivil", Html.GetEnumSelectList<EstadoCivil>())
    @Html.FimLinha()

    @Html.BotaoSalvar("Cadastrar")
</form>

Blum.Web/Views/Consulta/Produtos.cshtml
@model Blum.Web.Models.ConsultaViewModel
@{
    ViewData["Title"] = "Produtos";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Pesquisar</h1>

<form method="get" asp-controller="Consulta" asp-action="Produtos">
    <div class="input-group mb-3">
        <input asp-for="Buscar" type="text" class="form-control" placeholder="Produto" aria-label="Buscar" aria-describedby="button-addon2">
        <div class="input-group-append">
            <button class="btn btn-outline-primary" type="submit" id="button-addon2">Buscar</button>
        </div>
    </div>
</form>

<form>
    <div class="table-responsive">
        <div>
            <table class="table align-items-center table-hover table-secondary" id="tabelaProdutos">
                <thead class="bg-blue text-white">
                    <tr>
                        <th scope="col">Info</th>
                        <th style="cursor: pointer" onclick="sortTable(1)">Produto</th>
                        <th scope="col" class="sort" data-sort="preco">Preço</th>
                        <th scope="col" class="sort" data-sort="status">Status</th>
                        <th scope="col" class="sort" data-sort="mercado">Mercado</th>
                        <th scope="col"></th>
                    </tr>
                </thead>
                <tbody class="list">
                    @if (Model.Produtos != null)
                    {
                        @foreach (var item in Model.Produtos)
                        {
                            <tr class="header expand border-light">
                                <td>
                                    <a class="btn btn-sm btn-icon text-light" href="#" id="@Html.DisplayFor(p => item.Id)" onclick="mostrarDados(@Html.DisplayFor(p => item.Id));" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        <i id="@Html.DisplayFor(p => item.Id)arrow" class="produto ni ni-bold-down"></i>
                                    </a>
                                </td>
                                <td>
                                    @Html.DisplayFor(p => item.Nome)
                                </td>
                                <td class="budget">
                                    <span class="status">R$ @Html.DisplayFor(p => item.Preco)</span>
                                </td>
                                <td>
                                    <span class="badge badge-dot mr-4">
                                        <i class="bg-success"></i>
                                        <span class="status"> @Html.DisplayFor(p => item.Situacao)</span>
                                    </span>
                                </td>

                                <td>
                                    @Html.DisplayFor(p => item.Mercados.Nome)
                                </td>
                                <td class="text-right">
                                    <div class="dropdown">
                                        <a class="btn btn-sm btn-icon-only text-light" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <i class="fas fa-ellipsis-v"></i>
                                        </a>
                                        <div class="dropdown-menu dropdown-menu-right dropdown-menu-arrow">
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr style="display: none" id="@Html.DisplayFor(p => item.Id)tr" class="border-light">
                                <td colspan="6">
                                    <div class="row mt-1">
                                        <div class="col mt-1">
                                            <h5>Preços atuais</h5>
                                            <p class="description">
                                                Valor normal: R$ @Html.DisplayFor(p => item.PrecoOriginal)
                                            </p>
                                            <p class="description">
                                                Promocional: R$ @Html.DisplayFor(p => item.Preco)
                                            </p>
                                            <p class="description">
                                                Exclusivo: R$ @Html.DisplayFor(p => item.PrecoExclusivo)
                                            </p>
                                        </div>
                                        <div class="col mt-1">
                                            <h5>Preços anteriores</h5>
                                            <p class="description">
                                                Valor normal: R$ @Html.DisplayFor(p => item.UltimoPrecoOriginal)
                                            </p>
                                            <p class="description">
                                                Promocional: R$ @Html.DisplayFor(p => item.UltimoPreco)
                                            </p>
                                            <p class="description">
                                                Exclusivo: R$ @Html.DisplayFor(p => item.UltimoPrecoExclusivo)
                                            </p>
                                        </div>
                                        <div class="col mt-1">
                                            <h5>Outros</h5>
                                            <p class="description">
                                                Popularidade: @Html.DisplayFor(p => item.Popularidade)
                                            </p>
                                            <p class="description">
                                                Última alterção: @Html.DisplayFor(p => item.DataAlteracao)
                                            </p>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        }
                    }
                </tbody>
            </table>
        </div>
    </div>
</form>

@section scripts {
    <script type="text/javascript">
        function mostrarDados(id) {
            var element = '#' + id;

            $(element + 'tr').slideToggle(100);

            if ($(element + 'arrow').hasClass("ni ni-bold-down")) {
                $(element + 'arrow').removeClass("ni ni-bold-down");
                $(element + 'arrow').addClass("ni ni-bold-up");
            } else {
                $(element + 'arrow').removeClass("ni ni-bold-up");
                $(element + 'arrow').addClass("ni ni-bold-down");
            }

        };
    </script>

    <script type="text/javascript">
        function sortTable(n) {
            var table, rows, switching, i, x, y, shouldSwitch, dir, switchcount, rownum, nextrow = 0;
            table = document.getElementById("tabelaProdutos");
            switching = true;
            // Set the sorting direction to ascending:
            dir = "asc";
            /* Make a loop that will continue until
            no switching has been done: */
            while (switching) {
                // Start by saying: no switching is done:
                switching = false;
                rownum = 0;
                rows = table.rows;
                /* Loop through all table rows (except the
                first, which contains table headers): */
                for (i = 1; i < (rows.length - 1); i++) {
                    // Start by saying there should be no switching:
                    shouldSwitch = false;
                    /* Get the two elements you want to compare,
                    one from current row and one from the next: */
                    if (rownum == 0) {
                        rownum = 1;
                        nextrow = 3;
                    } else {
                        rownum = i
                        nextrow = i + 2;
                    }

                    x = rows[rownum].getElementsByTagName("TD")[n];
                    y = rows[nextrow].getElementsByTagName("TD")[n];
                    /* Check if the two rows should switch place,
                    based on the direction, asc or desc: */
                    if (dir == "asc") {
                        if (x.innerHTML.toLowerCase() > y.innerHTML.toLowerCase()) {
                            // If so, mark as a switch and break the loop:
                            shouldSwitch = true;
                            break;
                        }
                    } else if (dir == "desc") {
                        if (x.innerHTML.toLowerCase() < y.innerHTML.toLowerCase()) {
                            // If so, mark as a switch and break the loop:
                            shouldSwitch = true;
                            break;
                        }
                    }
                }



                if (shouldSwitch) {
                    /* If a switch has been marked, make the switch
                    and mark that a switch has been done: */
                    rows[rownum].parentNode.insertBefore(rows[nextrow], rows[rownum]);
                    rows[rownum].parentNode.insertBefore(rows[rownum +1], rows[nextrow +1]);
                    switching = true;
                    // Each time a switch is done, increase this count by 1:
                    switchcount++;
                } else {
                    /* If no switching has been done AND the direction is "asc",
                    set the direction to "desc" and run the while loop again. */
                    if (switchcount == 0 && dir == "asc") {
                        dir = "desc";
                        switching = true;
                    }
                }
                switching = false;
                rownum = 0;
            }
        }
    </script>
}

Blum.Web/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

    <div class="text-center">
        <h1 class="display-4">Welcome</h1>
        <p>Learn about <a href="https://docs.microsoft.com/aspnet/core">building Web apps with ASP.NET Core</a>.</p>
    </div>

Blum.Web/Views/Shared/_Alerts.cshtml
@using Blum.Web.Alerts

@{
    var alerts = TempData.ContainsKey(Alert.TempDataKey)
                ? (List<Alert>)TempData[Alert.TempDataKey]
                : new List<Alert>();

    @if (alerts.Any())
    {
        foreach (var alert in alerts)
        {
            @Html.Edit("")
            var dismissableClass = alert.Dismissable ? "alert-dismissable" : null;
            <span class="str">"alert alert-@alert.AlertStyle @dismissableClass"</span>

            if (alert.Dismissable)
            {
                <span class="str">"button"</span> <span class="kwrd">class</span>
            }
        }


    }

    @Html.Raw(alert.Message)


    &lt; div < span class="kwrd">class</span>=<span class="str">"alert alert-@alert.AlertStyle @dismissableClass"</span>&gt;
@<span class="kwrd">if</span> (alert.Dismissable)
        {
            &lt;button type =< span class="str">"button"</span> <span class="kwrd">class</span>=<span class="str">"close"</span> data-dismiss=<span class="str">"alert"</span> aria-hidden=<span class="str">"true"</span>&gt;&amp;times;&lt;/button&gt;
        }

            &lt;/div&gt;
}

}

Blum.Web/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Blum </title>
    <link rel="stylesheet" href="assets/vendor/sweetalert2/dist/sweetalert2.min.css">
    <!-- <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/argon.css" /> -->
    <link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css">
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet">
    <!-- Icons -->
    <link href="~/vendor/nucleo/css/nucleo.css" rel="stylesheet" asp-append-version="true">
    <link href="~/vendor/@@fortawesome/fontawesome-free/css/all.min.css" rel="stylesheet" asp-append-version="true">
    <!-- Argon CSS -->
    <!-- <link type="text/css" href="~/css/argon.min.css" rel="stylesheet" asp-append-version="true"> -->
    <!-- Extra details for Live View on GitHub Pages -->
    <!-- Canonical SEO -->
    <link rel="canonical" href="https://www.creative-tim.com/live/argon-dashboard-asp-net" />

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet">
    <!-- Icons -->
    <link href="~/vendor/nucleo/css/nucleo.css" rel="stylesheet" asp-append-version="true">
    <link href="~/vendor/@@fortawesome/fontawesome-free/css/all.min.css" rel="stylesheet" asp-append-version="true">
    <!-- Argon CSS -->
    <link type="text/css" href="~/css/argon.min.css" rel="stylesheet" asp-append-version="true">

    <!-- Social tags -->
    <meta name="keywords" content="creative tim, udevoffice, html dashboard, html css dashboard, web dashboard, bootstrap 4 dashboard, node dashboard, node.js dashboard, bootstrap 4, node.js, node, css3 dashboard, bootstrap 4 admin, argon node dashboard, argon node.js dashboard, bootstrap 4 dashboard, frontend, responsive bootstrap 4 dashboard, argon node design, argon node.js design, argon node dashboard, argon node.js dashboard, bootstrap">
    <meta name="description" content="Start your development with a Bootstrap 4 Admin Dashboard built for Asp.net framework, the newest go-to technology for top companies.It features a huge number of components that can help you create amazing websites and brings with itself innumerable advantages: lightweight, fast, scalable and modern way to execute your next top app.">

    <!-- Schema.org markup for Google+ -->
    <meta itemprop="name" content="Argon Dashboard Asp.net by Creative Tim">
    <meta itemprop="description" content="Start your development with a Bootstrap 4 Admin Dashboard built for Asp.net framework, the newest go-to technology for top companies.It features a huge number of components that can help you create amazing websites and brings with itself innumerable advantages: lightweight, fast, scalable and modern way to execute your next top app.">

    <meta itemprop="image" content="https://s3.amazonaws.com/creativetim_bucket/products/162/opt_ad_asp_thumbnail.jpg">

    <!-- Twitter Card data -->
    <meta name="twitter:card" content="product">
    <meta name="twitter:site" content="@@creativetim">
    <meta name="twitter:title" content="Argon Dashboard Asp.net by Creative Tim">

    <meta name="twitter:description" content="Start your development with a Bootstrap 4 Admin Dashboard built for Asp.net framework, the newest go-to technology for top companies.It features a huge number of components that can help you create amazing websites and brings with itself innumerable advantages: lightweight, fast, scalable and modern way to execute your next top app.">
    <meta name="twitter:creator" content="@@creativetim">
    <meta name="twitter:image" content="https://s3.amazonaws.com/creativetim_bucket/products/162/opt_ad_asp_thumbnail.jpg">

    @RenderSection("Styles", required: false)
    @RenderSection("HeadScripts", required: false)
</head>
<body>
    <header>
        <nav class="navbar navbar-horizontal navbar-expand navbar-dark flex-row align-items-md-center ct-navbar">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">Blum.Web</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="UsersLogin" asp-action="Index">Entrar / Registrar</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Consulta" asp-action="Produtos">Consultar Produtos</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <p> <span style="display:inline-block; width:10px;"></span></p>
    <p> <span style="display:inline-block; width:10px;"></span></p>

    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2020 - Blum.Web - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>


    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>

    <script src="~/vendor/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js" asp-append-version="true"></script>
    <script src="~/vendor/bootstrap-datepicker/dist/locales/bootstrap-datepicker.pt-BR.min.js" asp-append-version="true"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.0/jquery.mask.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>

    <script type="text/javascript">
        $.notify({
            // options
            message: 'Hello World'
        }, {
            // settings
            type: 'danger'
        });

        (function ($) {
            $('#datepicker').datepicker({
                isRTL: false,
                weekStart: 1,
                autoclose: true,
                todayHighlight: true,
                format: 'dd/mm/yyyy',
                language: 'pt-BR'
            });
        })(jQuery);

        (function ($) {
            $('#datepicker').datepicker("setDate", new Date());
        })(jQuery);

        $(document).ready(function () {
            var $seuCampoCpf = $("#cpf");
            $seuCampoCpf.mask('000.000.000-00');
        });
    </script>

    @RenderSection("Scripts", required: false)
</body>
</html>

Blum.Web/Views/UsersLogin/Index.cshtml
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@using  Blum.Access.Entities.Enum
@using  Blum.Web.Models

<h1>Login</h1>
<form method="get" asp-controller="UsersLogin" asp-action="Registrar">
    @Html.AntiForgeryToken()

    @Html.CreateModel(new UsersLoginViewModel())
    @Html.Edit("Email", InputSize.MidSize, true, EditRequired.No)
    @Html.EditPassword("Senha", EditRequired.No)
    @Html.Linha();
    @Html.Botao("Entrar", "Entrar", ButtonType.Primary)
    @Html.Botao("Registrar", "Registrar", ButtonType.Secondary)
    @Html.FimLinha()

    <a class="btn btn-info btn-lg" id="alert-target">Click me!</a>
</form>

Blum.Web/Views/UsersLogin/Registrar.cshtml
@{
    ViewBag.Title = "Registrar";
}

@using Blum.Access.Entities.Enum
@using Blum.Web.Models

<h1>Registro</h1>
<form asp-controller="UsersLogin" asp-action="Registrar" method="get">
    <partial name="~/Views/Shared/_Alerts.cshtml"/>
    @Html.AntiForgeryToken()

    @Html.CreateModel(new UsersLoginViewModel())
    @Html.Edit("Email")
    @Html.Edit("ConfirmarEmail", InputSize.MidSize, false)
    @Html.EditPassword("Senha")
    @Html.EditPassword("ConfirmarSenha")
    @Html.Botao("Registrar", "Registrar", ButtonType.Success)
    <button class="btn btn-success" onclick="showSwal('success')">Success</button>
    <button class="btn btn-primary" data-toggle="sweet-alert" data-sweet-alert="confirm">Confim alert</button>
    <div class="alert alert-warning" role="alert" style="display:none">
        <span class="alert-icon"><i class="ni ni-like-2"></i></span>
        <span class="alert-text"><strong>Warning!</strong> This is a warning alert—check it out that has an icon too!</span>
    </div>

</form>

@section scripts {
    <script type="text/javascript">

        function showSwal(type) {
            Swal.fire(
                'Good job!',
                'You clicked the button!',
                'success'
            )

            event.preventDefault();
        }
    </script>
}